// 接口

const api = {
	// 获取banner
	getBanner: {
		url: '/index/getBanner',
		method: 'GET', 
	},
	// 获取菜单
	getIcon: {
		url: '/index/getIcon',
		method: 'GET', 
	},
	// 获取商品详情
	getProductDetail: {
		url: '/index/getProductDetail',
		method: 'GET', 
	},
	// 获取商品列表
	getProductList: {
		url: '/index/getProductList',
		method: 'GET', 
	},
	// 创建订单
	createOrder: {
		url: '/index/createOrder',
		method: 'POST',
		limit : 1000,
	},
	// 支付订单
	payOrder: {
		url: '/index/payOrder',
		method: 'POST',
	},
	// 快捷下单
	addOrder: {
		url: '/index/addOrder',
		method: 'POST',
		limit : 1000,
	},
	// 获取快捷下单信息
	getOrderInfo: {
		url: '/index/getOrderInfo',
		method: 'GET',
	},
	// 获取订单列表
	getOrderPageBean: {
		url: '/order/getOrderPageBean',
		method: 'GET',
	},
	// 获取订单详情
	getOrderInfoById: {
		url: '/order/getOrderInfo',
		method: 'GET',
	},
	// 确认收货
	confirmOrder: {
		url: '/order/confirmOrder',
		method: 'POST',
		limit : 1000,
	},
	// 再次支付
	payOrderAgain: {
		url: '/order/payOrder',
		method: 'POST',
		limit : 1000,
	},
	// 更新用户信息
	updateUserInfo: {
		url: '/info/updateUserInfo',
		method: 'POST',
	},
	// 获取地址列表
	getAddressList: {
		url: '/info/getAddressList',
		method: 'GET',
	},
	// 获取地址详情
	getAddressInfo: {
		url: '/info/getAddressInfo',
		method: 'GET',
	},
	// 保存或更新地址
	saveOrUpdateAddress: {
		url: '/info/saveOrUpdateAddress',
		method: 'POST',
		limit : 1000,
	},
	// 删除地址
	deleteAddress: {
		url: '/info/deleteAddress',
		method: 'POST',
	},
	// 获取流水日志
	getLogList: {
		url: '/info/getLogList',
		method: 'GET',
	},
	// 获取团队列表
	getTeamList: {
		url: '/info/getTeamList',
		method: 'GET',
	},
	// 提现
	openMoney: {
		url: '/info/openMoney',
		method: 'POST',
		limit : 1000,
	},
	// 添加帮助
	addHelp: {
		url: '/info/addHelp',
		method: 'POST',
		limit : 1000,
	},
}

export default api